Jump to content

Archived

This topic is now archived and is closed to further replies.

Bombarder0

!Umbra's AI Needs an Urgent AI replacement!

Recommended Posts

I Think we can all agree that umbra AI is very bad,I wanted to suggest to who ever manages the ai to change that Ugly bugged bad aiming AI for an Phase Specter,the golden ones.

Please take this into consideration.

Share this post


Link to post
Share on other sites

if you're taking about aiming, I must disagree. Umbra can be an aimbot turret, though is more an issue with the kind of weapon he's using 

Share this post


Link to post
Share on other sites

They should give him the AI he used during the Sacrifice quest, or at least allow him to activate his 4th ability which enables it.

Share this post


Link to post
Share on other sites

I'm sorry to tell you that all AI in this game is pretty damn terrible.

Allied AI in particular has some extreme limitations, preferring primary weapons above all others, barely ever casting abilities unless they're personal buffs, not using combinations of things, like Radial Blind and a melee strike on the blinded enemies... Because of that Primary Weapon focus, most spectres won't ever use abilities that replace their primary weapon with an Ability Melee, too. This is usually also a rule for Drain abilities in general because they won't prioritise something that's not counted as a 'self buff' and constant energy drain is not a self buff to the AI, even if the buffs that ability gives are worth the drain.

This has not really ever been updated, not as long as I've been playing.

At this point in time, what we need is a comprehensive AI rework throughout the game. With enemies that will actually remember how to use cover, and when to come out of cover, how to group up or spread out as a reaction to our actions. Better pathing, smarter ability usage, capable of being taught combos of abilities by the Devs so that a Nova spectre knows how to use AMD, while Umbra knows how to combine Howl and Blade...

The entire system needs that 2.0.

Share this post


Link to post
Share on other sites

×
×
  • Create New...